Chuyển đến nội dung
Diễn đàn CADViet

ngokiet

Thành viên
  • Số lượng nội dung

    370
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    36

Cộng đồng

138 (tàm tạm)

2 Người theo dõi

About ngokiet

  • Cấp bậc
    biết dimcontinue

Khách truy cập Tiểu sử gần đây

2.625 chế độ xem tiểu sử
  1. ngokiet

    [Đã xong][Hỏi] Cách lọc đối tượng.

    Xoay trục toạ độ theo hướng nghiên đó rồi sorf cái Là xong mà. nếu nó trùng nhau thì kiểm tra thêm 1 chút là được. Còn cách khác là sort 1 chiều rồi kiểm tra cũng dc. Tham khảo bài này mình có viết lọc text
  2. Nếu đo tới đâu thì tưong ứng offset đó ra thôi. Ví dụ như hình bạn vẽ thì offset cột ra 9m7 và tường 9m lấy giao điem là được. Tuỳ trường hợp thực tế mà đo để vẽ lại dễ nhất. Nhất là đo theo 2 mốc. Bạn có thể tham khảo bài này
  3. Đọc cái dòng cuối ấy. Có 2 cách là cài đặt lại Windows sytem locate cho tương thích hay đổi tên thư mục và file name thành không dấu.
  4. (defun c:ff(/ e1 e2 p1 p2 break) (defun break(en / ob) (setq ob (vlax-ename->vla-object en) p1 (vlax-curve-getparamatpoint ob (vlax-curve-getclosestpointto ob (trans p1 1 0))) p2 (vlax-curve-getparamatpoint ob (vlax-curve-getclosestpointto ob (trans p2 1 0)))) (If (> p1 p2) (mapcar 'set '(p1 p2) (list p2 p1))) (setq p1 (1+ (fix p1)) p2 (fix p2)) (if (eq p1 p2) (command "breaK" (list en (setq p1 (vlax-curve-getpointatparam ob p1))) p1) (progn (command "breaK" (list en (setq p2 (vlax-curve-getpointatparam ob p2))) p2) (command "breaK" (list en (setq p1 (vlax-curve-getpointatparam ob p1))) p1)))) (if (and (mapcar 'set '(e1 p1) (entsel "Chon 1:")) (mapcar 'set '(e2 p2) (entsel "Chon 2:"))) (progn (command "Fillet" p1 p2) (if (null (entget e1)) (break e2) (if (null (entget e2)) (break e1))) (princ)))) Viết nhanh theo kiểu bác Đoàn. Làm sơ sơ nên nếu 2 đối tượng khác màu / layer nhau thì sẽ mất 1 đối tượng.
  5. Trim/Extend thì có thể chung 1 lệnh. ví dụ như Trim thì nhấn Shift là Extend và ngược lại. Bạn có thể chọn kiểu Extend edge của trim/extend để dễ sài hơn. Còn viết lisp thì phức tạp. Mình không có cad 10 để test thử nhưng mình nghĩ nó là lisp. Nếu máy sài được thì có lisp sẳn nên lấy sài tiếp thôi. Chứ viết lisp này cũng khá phức tạp nếu viết kỹ. Mình viết cho bạn 1 đoạn lisp ngắn là break polyline tại 1 điểm (defun c:bb(/ p) (command "BREAK" (setq p (getpoint)) p)) Có thể dùng ngắt polyline sau fillet/chamfer.
×